package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class CalculateDayAction extends LifeAction {

   private String currDate;
   private String calType;
   private String iCollName;
   private static final String TYPE_D = "1";
   private static final String TYPE_M = "2";
   private static final String TYPE_B = "3";
   private static final String PRO_STARTDATE = "20151101";


   public String execute(Context currDateStr) throws GENEException {
      IndexedCollection returnIcoll = (IndexedCollection)currDateStr.getDataElement(this.iCollName);
      String var13 = (String)currDateStr.getDataValue(this.currDate);
      SimpleDateFormat format;
      Date currDateM;
      int i;
      int retKcoll;
      int var15;
      KeyedCollection var16;
      int var17;
      Calendar var18;
      if("1".equals(this.calType)) {
         try {
            currDateM = (format = new SimpleDateFormat("yyyyMMdd")).parse(var13);
            Date month = format.parse("20151101");
            i = (int)((currDateM.getTime() - month.getTime()) / 86400000L);

            for(retKcoll = 0; retKcoll <= i; ++retKcoll) {
               KeyedCollection now = new KeyedCollection();
               Calendar var14;
               (var14 = Calendar.getInstance()).setTime(currDateM);
               var14.set(5, var14.get(5) - retKcoll);
               now.put("currDate", format.format(var14.getTime()));
               returnIcoll.add(now);
            }
         } catch (ParseException var12) {
            var12.printStackTrace();
         }
      } else if("2".equals(this.calType)) {
         try {
            currDateM = (format = new SimpleDateFormat("yyyyMM")).parse(var13);
            var15 = Integer.parseInt(var13.substring(4, 6));
            i = Integer.parseInt("20151101".substring(4, 6));
            retKcoll = Integer.parseInt(var13.substring(0, 4));
            var17 = Integer.parseInt("20151101".substring(0, 4));
            var15 = (retKcoll - var17) * 12 + var15 - i;

            for(i = 0; i <= var15; ++i) {
               var16 = new KeyedCollection();
               (var18 = Calendar.getInstance()).setTime(currDateM);
               var18.set(2, var18.get(2) - i);
               var16.put("currDate", format.format(var18.getTime()));
               returnIcoll.add(var16);
            }
         } catch (ParseException var11) {
            var11.printStackTrace();
         }
      }

      if("3".equals(this.calType)) {
         try {
            currDateM = (format = new SimpleDateFormat("yyyyMMdd")).parse(var13);
            var15 = Integer.parseInt(var13.substring(4, 6));
            i = Integer.parseInt("20151101".substring(4, 6));
            retKcoll = Integer.parseInt(var13.substring(0, 4));
            var17 = Integer.parseInt("20151101".substring(0, 4));
            var15 = (retKcoll - var17) * 12 + var15 - i;

            for(i = 0; i <= var15 + 1; ++i) {
               var16 = new KeyedCollection();
               if(i == 0) {
                  var16.put("currDate", var13);
               } else if(i == var15 + 1) {
                  var16.put("currDate", "20151101");
               } else {
                  (var18 = Calendar.getInstance()).setTime(currDateM);
                  var18.set(2, var18.get(2) - i);
                  String maxDate = String.valueOf(var18.getActualMaximum(5));
                  String var19 = format.format(var18.getTime());
                  var16.put("currDate", var19.substring(0, 6) + maxDate);
               }

               returnIcoll.add(var16);
            }

            for(i = 0; i < 10; ++i) {
               var16 = new KeyedCollection();
               (var18 = Calendar.getInstance()).setTime(currDateM);
               var18.set(5, var18.get(5) - i);
               var16.put("currDate", format.format(var18.getTime()));
               returnIcoll.add(var16);
            }
         } catch (ParseException var10) {
            var10.printStackTrace();
         }
      }

      return "0";
   }

   public String getCurrDate() {
      return this.currDate;
   }

   public void setCurrDate(String currDate) {
      this.currDate = currDate;
   }

   public String getICollName() {
      return this.iCollName;
   }

   public void setICollName(String iCollName) {
      this.iCollName = iCollName;
   }

   public String getCalType() {
      return this.calType;
   }

   public void setCalType(String calType) {
      this.calType = calType;
   }

   public static void main(String[] format) throws ParseException {
      SimpleDateFormat var6;
      Date currDateM = (var6 = new SimpleDateFormat("yyyyMMdd")).parse("20161221");
      int month = Integer.parseInt("201612".substring(4, 6));
      int i = Integer.parseInt("20151101".substring(4, 6));
      int cuMonth = Integer.parseInt("201612".substring(0, 4));
      int maxDate = Integer.parseInt("20151101".substring(0, 4));
      month = (cuMonth - maxDate) * 12 + month - i;

      for(i = 0; i <= month + 1; ++i) {
         if(i == 0) {
            System.out.println("20161221");
         } else if(i == month + 1) {
            System.out.println("20151101");
         } else {
            Calendar var7;
            (var7 = Calendar.getInstance()).setTime(currDateM);
            var7.set(2, var7.get(2) - i);
            String var9 = String.valueOf(var7.getActualMaximum(5));
            String var8 = var6.format(var7.getTime());
            System.out.println(var8.substring(0, 6) + var9);
         }
      }

   }
}
